<?php
/**
*
* Authorized for urls extension for the phpBB Forum Software package.
*
* @package language Authorized for urls
* @copyright (c) 2020 RMcGirr83
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/
/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//
$lang = array_merge($lang, [
	// ACP
	'AFU_ACP_TITLE'			=> 'Autorizado para URLs',
	'AFU_CONFIG'			=> 'Ajustes',
	'AFU_IMAGE_BBCODE'		=> 'Comprobar BBCode de imagen',
	'AFU_IMAGE_BBCODE_EXPLAIN'	=> 'Si se establece en Sí, se comprobarán las direcciones URL dentro del BBCode img.',
	'AFU_EMAIL'				=> 'Comprobar enlaces de email',
	'AFU_EMAIL_EXPLAIN'		=> 'Si se establece en Sí, se comprobarán los enlaces con direcciones de correo electrónico.',
	'AFU_DENY_POST'			=> 'Si se encuentra una coincidencia, se debe rechazar el mensaje',
	'AFU_DENY_POST_EXPLAIN'	=> 'Si se establece Sí, el mensaje será denegado; de lo contrario, el mensaje se colocará en la cola de moderación.',
	'AFU_TLDS'				=> 'Los TLD para comprobar',
	'AFU_TLDS_EXPLAIN'		=> 'Los TLD a incluir, separados por una coma (Por ejemplo: com, de). Añada o elimine según sus necesidades.',
	'AFU_SAVED'				=> 'Cambios guardados',
	//Donation
	'PAYPAL_IMAGE_URL'          => 'https://www.paypalobjects.com/webstatic/en_US/i/btn/png/silver-pill-paypal-26px.png',
	'PAYPAL_ALT'                => 'Donar usando PayPal',
	'BUY_ME_A_BEER_URL'         => 'https://paypal.me/RMcGirr83',
	'BUY_ME_A_BEER'				=> 'Cómpreme una cerveza por crear esta extensión',
	'BUY_ME_A_BEER_SHORT'		=> 'Haga una donación para esta extensión',
	'BUY_ME_A_BEER_EXPLAIN'		=> 'Esta extensión es completamente gratuita. Es un proyecto en el que dedico mi tiempo para el disfrute y uso de la comunidad phpBB. Si disfruta usando esta extensión, o si ha beneficiado a su foro, considere <a href="https://paypal.me/RMcGirr83" target="_blank" rel="noreferrer noopener">comprarme una cerveza</a>. Le estaría agradecido. <i class="fa fa-smile-o" style="color:green;font-size:1.5em;" aria-hidden="true"></i>',
]);
